Bug 21070 - request.pl details links to biblio instead of moredetail.pl for that item
Summary: request.pl details links to biblio instead of moredetail.pl for that item
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 22631
  Show dependency treegraph
 
Reported: 2018-07-12 19:50 UTC by Lisette Scheer
Modified: 2019-04-03 19:45 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
detailscolumnview (31.05 KB, image/jpeg)
2018-07-12 19:50 UTC, Lisette Scheer
Details
Bug 21070: request.pl details links to biblio instead of moredetail.pl for that item (1.77 KB, patch)
2019-03-07 15:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21070: request.pl details links to biblio instead of moredetail.pl for that item (1.83 KB, patch)
2019-03-07 19:08 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21070: request.pl details links to biblio instead of moredetail.pl for that item (1.89 KB, patch)
2019-03-09 20:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lisette Scheer 2018-07-12 19:50:17 UTC
Created attachment 76928 [details]
detailscolumnview

If someone needs to modify an item that is placed on an item level hold for someone, it seems like it would make sense for the "Details column (see detachment) barcode link to go to moredetail.pl for that item number than for it to go to the biblio page. 
The behavior would be more like clicking on a barcode from either the biblio page or the check-in screen.
Comment 1 Owen Leonard 2019-03-07 15:10:26 UTC
Created attachment 86279 [details] [review]
Bug 21070: request.pl details links to biblio instead of moredetail.pl for that item

This patch alters the hold summary page so that links to records with
item-level holds go to the item detail page instead of the bibliographic
detail page. There is already a link to the bibliographic detail page in
the page heading.

To test, apply the patch and place or locate an item-level hold. In the
list of existing holds for that record, the linked barcode on the
item-level hold should take you to the corresponding item detail page.
Comment 2 ByWater Sandboxes 2019-03-07 19:08:04 UTC
Created attachment 86329 [details] [review]
Bug 21070: request.pl details links to biblio instead of moredetail.pl for that item

This patch alters the hold summary page so that links to records with
item-level holds go to the item detail page instead of the bibliographic
detail page. There is already a link to the bibliographic detail page in
the page heading.

To test, apply the patch and place or locate an item-level hold. In the
list of existing holds for that record, the linked barcode on the
item-level hold should take you to the corresponding item detail page.

Signed-off-by: Lisette <lisettes@latahlibrary.org>
Comment 3 Katrin Fischer 2019-03-09 20:44:45 UTC
Created attachment 86415 [details] [review]
Bug 21070: request.pl details links to biblio instead of moredetail.pl for that item

This patch alters the hold summary page so that links to records with
item-level holds go to the item detail page instead of the bibliographic
detail page. There is already a link to the bibliographic detail page in
the page heading.

To test, apply the patch and place or locate an item-level hold. In the
list of existing holds for that record, the linked barcode on the
item-level hold should take you to the corresponding item detail page.

Signed-off-by: Lisette <lisettes@latahlibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2019-03-09 20:45:33 UTC
I like this change. Can we do the same for the holds tab on details and checkouts tabs in the patron account?
Comment 5 Nick Clemens 2019-03-16 01:11:28 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-03-19 11:02:58 UTC
Enhancement, will not be backported to 18.11.x series.

I like this change too.. be great to see the other templates Katrin mentions done for the 19.05 release :)